org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query

## Interface QueryPackage

    public interface QueryPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `QueryFactory`
Generated:
Model:
  kind="package"
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Nested Class Summary

Nested Classes
`static interface` `QueryPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

### Field Summary

Fields
`static QueryPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EOBJECT_LITERAL_QUERY` The meta object id for the '`EObject Literal Query`' class.
`static int` `EOBJECT_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `EOBJECT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `EOBJECT_LITERAL_QUERY__ELEMENT` The feature id for the 'Element' reference.
`static int` `EOBJECT_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'EObject Literal Query' class.
`static int` `FALSE_LITERAL_QUERY` The meta object id for the '`False Literal Query`' class.
`static int` `FALSE_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `FALSE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `FALSE_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'False Literal Query' class.
`static int` `FLOAT_LITERAL_QUERY` The meta object id for the '`Float Literal Query`' class.
`static int` `FLOAT_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `FLOAT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `FLOAT_LITERAL_QUERY__VALUE` The feature id for the 'Value' attribute.
`static int` `FLOAT_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'Float Literal Query' class.
`static int` `INTEGER_LITERAL_QUERY` The meta object id for the '`Integer Literal Query`' class.
`static int` `INTEGER_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `INTEGER_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `INTEGER_LITERAL_QUERY__VALUE` The feature id for the 'Value' attribute.
`static int` `INTEGER_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'Integer Literal Query' class.
`static int` `IS_ONE_OF_QUERY` The meta object id for the '`Is One Of Query`' class.
`static int` `IS_ONE_OF_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `IS_ONE_OF_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `IS_ONE_OF_QUERY__EXPECTED_EOBJECTS` The feature id for the 'Expected EObjects' reference list.
`static int` `IS_ONE_OF_QUERY_FEATURE_COUNT` The number of structural features of the 'Is One Of Query' class.
`static int` `NAVIGATION_QUERY` The meta object id for the '`Navigation Query`' class.
`static int` `NAVIGATION_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `NAVIGATION_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `NAVIGATION_QUERY__FAIL_ON_ERROR` The feature id for the 'Fail On Error' attribute.
`static int` `NAVIGATION_QUERY__PATH` The feature id for the 'Path' reference list.
`static int` `NAVIGATION_QUERY_FEATURE_COUNT` The number of structural features of the 'Navigation Query' class.
`static int` `NULL_LITERAL_QUERY` The meta object id for the '`Null Literal Query`' class.
`static int` `NULL_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `NULL_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `NULL_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'Null Literal Query' class.
`static int` `OPERATION_CALL_QUERY` The meta object id for the '`Operation Call Query`' class.
`static int` `OPERATION_CALL_QUERY__ARGUMENTS` The feature id for the 'Arguments' containment reference list.
`static int` `OPERATION_CALL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `OPERATION_CALL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `OPERATION_CALL_QUERY__OPERATION` The feature id for the 'Operation' reference.
`static int` `OPERATION_CALL_QUERY_FEATURE_COUNT` The number of structural features of the 'Operation Call Query' class.
`static int` `STRING_LITERAL_QUERY` The meta object id for the '`String Literal Query`' class.
`static int` `STRING_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `STRING_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `STRING_LITERAL_QUERY__VALUE` The feature id for the 'Value' attribute.
`static int` `STRING_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'String Literal Query' class.
`static int` `TRUE_LITERAL_QUERY` The meta object id for the '`True Literal Query`' class.
`static int` `TRUE_LITERAL_QUERY__CAN_BE_CACHED` The feature id for the 'Can Be Cached' attribute.
`static int` `TRUE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS` The feature id for the 'Can Have Side Effects' attribute.
`static int` `TRUE_LITERAL_QUERY_FEATURE_COUNT` The number of structural features of the 'True Literal Query' class.

### Method Summary

All Methods Instance Methods Abstract Methods
`EReference` `getEObjectLiteralQuery_Element()` Returns the meta object for the reference '`Element`'.
`EClass` `getEObjectLiteralQuery()` Returns the meta object for class '`EObject Literal Query`'.
`EClass` `getFalseLiteralQuery()` Returns the meta object for class '`False Literal Query`'.
`EAttribute` `getFloatLiteralQuery_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getFloatLiteralQuery()` Returns the meta object for class '`Float Literal Query`'.
`EAttribute` `getIntegerLiteralQuery_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getIntegerLiteralQuery()` Returns the meta object for class '`Integer Literal Query`'.
`EReference` `getIsOneOfQuery_ExpectedEObjects()` Returns the meta object for the reference list '`Expected EObjects`'.
`EClass` `getIsOneOfQuery()` Returns the meta object for class '`Is One Of Query`'.
`EAttribute` `getNavigationQuery_FailOnError()` Returns the meta object for the attribute '`Fail On Error`'.
`EReference` `getNavigationQuery_Path()` Returns the meta object for the reference list '`Path`'.
`EClass` `getNavigationQuery()` Returns the meta object for class '`Navigation Query`'.
`EClass` `getNullLiteralQuery()` Returns the meta object for class '`Null Literal Query`'.
`EReference` `getOperationCallQuery_Arguments()` Returns the meta object for the containment reference list '`Arguments`'.
`EReference` `getOperationCallQuery_Operation()` Returns the meta object for the reference '`Operation`'.
`EClass` `getOperationCallQuery()` Returns the meta object for class '`Operation Call Query`'.
`QueryFactory` `getQueryFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getStringLiteralQuery_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getStringLiteralQuery()` Returns the meta object for class '`String Literal Query`'.
`EClass` `getTrueLiteralQuery()` Returns the meta object for class '`True Literal Query`'.

### Field Detail

#### eNAME

    static final java.lang.String eNAME

The package name.

See Also:
  Constant Field Values
Generated:

#### eNS_URI

    static final java.lang.String eNS_URI

The package namespace URI.

See Also:
  Constant Field Values
Generated:

#### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

The package namespace name.

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final QueryPackage eINSTANCE

The singleton instance of the package.

Generated:

#### NAVIGATION_QUERY

    static final int NAVIGATION_QUERY

The meta object id for the '`Navigation Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.NavigationQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getNavigationQuery()`, Constant Field Values
Generated:

#### NAVIGATION_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int NAVIGATION_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_QUERY__CAN_BE_CACHED

    static final int NAVIGATION_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_QUERY__PATH

    static final int NAVIGATION_QUERY__PATH

The feature id for the 'Path' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_QUERY__FAIL_ON_ERROR

    static final int NAVIGATION_QUERY__FAIL_ON_ERROR

The feature id for the 'Fail On Error' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NAVIGATION_QUERY_FEATURE_COUNT

    static final int NAVIGATION_QUERY_FEATURE_COUNT

The number of structural features of the 'Navigation Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### IS_ONE_OF_QUERY

    static final int IS_ONE_OF_QUERY

The meta object id for the '`Is One Of Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.IsOneOfQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getIsOneOfQuery()`, Constant Field Values
Generated:

#### IS_ONE_OF_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int IS_ONE_OF_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### IS_ONE_OF_QUERY__CAN_BE_CACHED

    static final int IS_ONE_OF_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### IS_ONE_OF_QUERY__EXPECTED_EOBJECTS

    static final int IS_ONE_OF_QUERY__EXPECTED_EOBJECTS

The feature id for the 'Expected EObjects' reference list.

See Also:
  Constant Field Values
Generated:
Ordered:

#### IS_ONE_OF_QUERY_FEATURE_COUNT

    static final int IS_ONE_OF_QUERY_FEATURE_COUNT

The number of structural features of the 'Is One Of Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### STRING_LITERAL_QUERY

    static final int STRING_LITERAL_QUERY

The meta object id for the '`String Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.StringLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getStringLiteralQuery()`, Constant Field Values
Generated:

#### STRING_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int STRING_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### STRING_LITERAL_QUERY__CAN_BE_CACHED

    static final int STRING_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### STRING_LITERAL_QUERY__VALUE

    static final int STRING_LITERAL_QUERY__VALUE

The feature id for the 'Value' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### STRING_LITERAL_QUERY_FEATURE_COUNT

    static final int STRING_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'String Literal Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TRUE_LITERAL_QUERY

    static final int TRUE_LITERAL_QUERY

The meta object id for the '`True Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.TrueLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getTrueLiteralQuery()`, Constant Field Values
Generated:

#### TRUE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int TRUE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TRUE_LITERAL_QUERY__CAN_BE_CACHED

    static final int TRUE_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### TRUE_LITERAL_QUERY_FEATURE_COUNT

    static final int TRUE_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'True Literal Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FALSE_LITERAL_QUERY

    static final int FALSE_LITERAL_QUERY

The meta object id for the '`False Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.FalseLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getFalseLiteralQuery()`, Constant Field Values
Generated:

#### FALSE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int FALSE_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FALSE_LITERAL_QUERY__CAN_BE_CACHED

    static final int FALSE_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### FALSE_LITERAL_QUERY_FEATURE_COUNT

    static final int FALSE_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'False Literal Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NULL_LITERAL_QUERY

    static final int NULL_LITERAL_QUERY

The meta object id for the '`Null Literal Query`' class.

See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.NullLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getNullLiteralQuery()`, Constant Field Values
Generated:

#### NULL_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int NULL_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NULL_LITERAL_QUERY__CAN_BE_CACHED

    static final int NULL_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

See Also:
  Constant Field Values
Generated:
Ordered:

#### NULL_LITERAL_QUERY_FEATURE_COUNT

    static final int NULL_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'Null Literal Query' class.

See Also:
  Constant Field Values
Generated:
Ordered:

#### INTEGER_LITERAL_QUERY

    static final int INTEGER_LITERAL_QUERY

The meta object id for the '`Integer Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.IntegerLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getIntegerLiteralQuery()`, Constant Field Values
Generated:

#### INTEGER_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int INTEGER_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### INTEGER_LITERAL_QUERY__CAN_BE_CACHED

    static final int INTEGER_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### INTEGER_LITERAL_QUERY__VALUE

    static final int INTEGER_LITERAL_QUERY__VALUE

The feature id for the 'Value' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### INTEGER_LITERAL_QUERY_FEATURE_COUNT

    static final int INTEGER_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'Integer Literal Query' class.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### FLOAT_LITERAL_QUERY

    static final int FLOAT_LITERAL_QUERY

The meta object id for the '`Float Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.FloatLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getFloatLiteralQuery()`, Constant Field Values
Generated:

#### FLOAT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int FLOAT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### FLOAT_LITERAL_QUERY__CAN_BE_CACHED

    static final int FLOAT_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### FLOAT_LITERAL_QUERY__VALUE

    static final int FLOAT_LITERAL_QUERY__VALUE

The feature id for the 'Value' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### FLOAT_LITERAL_QUERY_FEATURE_COUNT

    static final int FLOAT_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'Float Literal Query' class.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_LITERAL_QUERY

    static final int EOBJECT_LITERAL_QUERY

The meta object id for the '`EObject Literal Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.EObjectLiteralQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getEObjectLiteralQuery()`, Constant Field Values
Generated:

#### EOBJECT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int EOBJECT_LITERAL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_LITERAL_QUERY__CAN_BE_CACHED

    static final int EOBJECT_LITERAL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_LITERAL_QUERY__ELEMENT

    static final int EOBJECT_LITERAL_QUERY__ELEMENT

The feature id for the 'Element' reference.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### EOBJECT_LITERAL_QUERY_FEATURE_COUNT

    static final int EOBJECT_LITERAL_QUERY_FEATURE_COUNT

The number of structural features of the 'EObject Literal Query' class.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### OPERATION_CALL_QUERY

    static final int OPERATION_CALL_QUERY

The meta object id for the '`Operation Call Query`' class.

Since:
  0.2
See Also:
  `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.OperationCallQueryImpl`, `org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.query.impl.QueryPackageImpl#getOperationCallQuery()`, Constant Field Values
Generated:

#### OPERATION_CALL_QUERY__CAN_HAVE_SIDE_EFFECTS

    static final int OPERATION_CALL_QUERY__CAN_HAVE_SIDE_EFFECTS

The feature id for the 'Can Have Side Effects' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### OPERATION_CALL_QUERY__CAN_BE_CACHED

    static final int OPERATION_CALL_QUERY__CAN_BE_CACHED

The feature id for the 'Can Be Cached' attribute.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### OPERATION_CALL_QUERY__OPERATION

    static final int OPERATION_CALL_QUERY__OPERATION

The feature id for the 'Operation' reference.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### OPERATION_CALL_QUERY__ARGUMENTS

    static final int OPERATION_CALL_QUERY__ARGUMENTS

The feature id for the 'Arguments' containment reference list.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

#### OPERATION_CALL_QUERY_FEATURE_COUNT

    static final int OPERATION_CALL_QUERY_FEATURE_COUNT

The number of structural features of the 'Operation Call Query' class.

Since:
  0.2
See Also:
  Constant Field Values
Generated:
Ordered:

### Method Detail

#### getNavigationQuery

    EClass getNavigationQuery()

Returns the meta object for class '`Navigation Query`'.

Returns:
  the meta object for class 'Navigation Query'.
See Also:
  `NavigationQuery`
Generated:

#### getNavigationQuery_Path

    EReference getNavigationQuery_Path()

Returns the meta object for the reference list '`Path`'.

Returns:
  the meta object for the reference list 'Path'.
See Also:
  `NavigationQuery.getPath()`, `getNavigationQuery()`
Generated:

#### getNavigationQuery_FailOnError

    EAttribute getNavigationQuery_FailOnError()

Returns the meta object for the attribute '`Fail On Error`'.

Returns:
  the meta object for the attribute 'Fail On Error'.
See Also:
  `NavigationQuery.isFailOnError()`, `getNavigationQuery()`
Generated:

#### getIsOneOfQuery

    EClass getIsOneOfQuery()

Returns the meta object for class '`Is One Of Query`'.

Returns:
  the meta object for class 'Is One Of Query'.
See Also:
  `IsOneOfQuery`
Generated:

#### getIsOneOfQuery_ExpectedEObjects

    EReference getIsOneOfQuery_ExpectedEObjects()

Returns the meta object for the reference list '`Expected EObjects`'.

Returns:
  the meta object for the reference list 'Expected EObjects'.
See Also:
  `IsOneOfQuery.getExpectedEObjects()`, `getIsOneOfQuery()`
Generated:

#### getStringLiteralQuery

    EClass getStringLiteralQuery()

Returns the meta object for class '`String Literal Query`'.

Returns:
  the meta object for class 'String Literal Query'.
See Also:
  `StringLiteralQuery`
Generated:

#### getStringLiteralQuery_Value

    EAttribute getStringLiteralQuery_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  `StringLiteralQuery.getValue()`, `getStringLiteralQuery()`
Generated:

#### getTrueLiteralQuery

    EClass getTrueLiteralQuery()

Returns the meta object for class '`True Literal Query`'.

Returns:
  the meta object for class 'True Literal Query'.
See Also:
  `TrueLiteralQuery`
Generated:

#### getFalseLiteralQuery

    EClass getFalseLiteralQuery()

Returns the meta object for class '`False Literal Query`'.

Returns:
  the meta object for class 'False Literal Query'.
See Also:
  `FalseLiteralQuery`
Generated:

#### getNullLiteralQuery

    EClass getNullLiteralQuery()

Returns the meta object for class '`Null Literal Query`'.

Returns:
  the meta object for class 'Null Literal Query'.
See Also:
  `NullLiteralQuery`
Generated:

#### getIntegerLiteralQuery

    EClass getIntegerLiteralQuery()

Returns the meta object for class '`Integer Literal Query`'.

Returns:
  the meta object for class 'Integer Literal Query'.
Since:
  0.2
See Also:
  `IntegerLiteralQuery`
Generated:

#### getIntegerLiteralQuery_Value

    EAttribute getIntegerLiteralQuery_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
Since:
  0.2
See Also:
  `IntegerLiteralQuery.getValue()`, `getIntegerLiteralQuery()`
Generated:

#### getFloatLiteralQuery

    EClass getFloatLiteralQuery()

Returns the meta object for class '`Float Literal Query`'.

Returns:
  the meta object for class 'Float Literal Query'.
Since:
  0.2
See Also:
  `FloatLiteralQuery`
Generated:

#### getFloatLiteralQuery_Value

    EAttribute getFloatLiteralQuery_Value()

Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
Since:
  0.2
See Also:
  `FloatLiteralQuery.getValue()`, `getFloatLiteralQuery()`
Generated:

#### getEObjectLiteralQuery

    EClass getEObjectLiteralQuery()

Returns the meta object for class '`EObject Literal Query`'.

Returns:
  the meta object for class 'EObject Literal Query'.
Since:
  0.2
See Also:
  `EObjectLiteralQuery`
Generated:

#### getEObjectLiteralQuery_Element

    EReference getEObjectLiteralQuery_Element()

Returns the meta object for the reference '`Element`'.

Returns:
  the meta object for the reference 'Element'.
Since:
  0.2
See Also:
  `EObjectLiteralQuery.getElement()`, `getEObjectLiteralQuery()`
Generated:

#### getOperationCallQuery

    EClass getOperationCallQuery()

Returns the meta object for class '`Operation Call Query`'.

Returns:
  the meta object for class 'Operation Call Query'.
Since:
  0.2
See Also:
  `OperationCallQuery`
Generated:

#### getOperationCallQuery_Operation

    EReference getOperationCallQuery_Operation()

Returns the meta object for the reference '`Operation`'.

Returns:
  the meta object for the reference 'Operation'.
Since:
  0.2
See Also:
  `OperationCallQuery.getOperation()`, `getOperationCallQuery()`
Generated:

#### getOperationCallQuery_Arguments

    EReference getOperationCallQuery_Arguments()

Returns the meta object for the containment reference list '`Arguments`'.

Returns:
  the meta object for the containment reference list 'Arguments'.
Since:
  0.2
See Also:
  `OperationCallQuery.getArguments()`, `getOperationCallQuery()`
Generated:

#### getQueryFactory

    QueryFactory getQueryFactory()

Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: